/*
Copyright (C) 2010

This file is part of the Hough applet
written by Max Bügler
http://www.maxbuegler.eu/

Hough applet is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2, or (at your option) any
later version.

Hough applet is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>.
*/
package HoughTransform;

import javax.swing.*;
import java.awt.*;
import java.awt.image.BufferedImage;

/**
 * Date: May 1, 2010
 * Time: 12:31:38 PM
 * <p/>
 * Copyright 2010 by Max Buegler.
 * Licensed under General Public License Version 3
 */

public class HoughPanel extends JPanel {
    private BufferedImage buffer;

    public void processImageLine(boolean[][] in, boolean inv){
        int theta=getWidth();
        int rad=getHeight();
        buffer=HoughTransform.lineHoughTransform(in,theta,rad,inv);
        repaint();
    }

    public void processImageCorner(boolean[][] in, boolean inv){
        int theta=getWidth();
        int rad=getHeight();
        buffer=HoughTransform.cornerHoughTransform(in,theta,rad,10,inv);
        repaint();
    }

    public void clear(){
        buffer=null;
        repaint();
    }
    
    public void paintComponent(Graphics g){
        if (buffer!=null)g.drawImage(buffer,0,0,null);
        else{
            g.setColor(Color.WHITE);
            g.fillRect(0,0,getWidth(),getHeight());
        }
    }

}
