/*
Copyright (C) 2010

This file is part of the Hough applet
written by Max Bügler
http://www.maxbuegler.eu/

Hough applet is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2, or (at your option) any
later version.

Hough applet is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>.
*/
package HoughTransform;

import javax.swing.*;
import java.applet.Applet;
import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

/**
 * Date: May 1, 2010
 * Time: 10:44:20 AM
 * <p/>
 * Copyright 2010 by Max Buegler.
 * Licensed under General Public License Version 3
 */

public class Main extends Applet {
    private BinaryPaintComponent in;
    private HoughPanel out;
    private JCheckBox inverted;
    public void init(){
        setLayout(new BorderLayout());
        JPanel topPanel=new JPanel();
        JButton clear=new JButton("Clear");
        clear.addActionListener(new ActionListener(){
            public void actionPerformed(ActionEvent e) {
                in.clear();
                out.clear();
            }
        });
        JButton process=new JButton("Transform");
        process.addActionListener(new ActionListener(){
            public void actionPerformed(ActionEvent e) {
                out.processImageLine(in.getImage(),!inverted.isSelected());
            }
        });
        inverted=new JCheckBox("invert (slow)");
        topPanel.add(clear);
        topPanel.add(inverted);
        topPanel.add(process);
        JPanel mainPanel=new JPanel(new GridLayout(1,2));
        in=new BinaryPaintComponent();
        out=new HoughPanel();
        mainPanel.add(in);
        mainPanel.add(out);

        add(topPanel,BorderLayout.NORTH);
        add(mainPanel,BorderLayout.CENTER);
        add(new JLabel("Written 2010 by Max Bügler. http://www.maxbuegler.eu"),BorderLayout.SOUTH);
        
    }
}
